tj.git-extras/bin/git-feature
2014-11-30 17:47:26 +05:30

16 lines
508 B
Bash
Executable file

#!/usr/bin/env bash
if test "$1" = "finish"; then
test -z $2 && echo "feature <name> required." 1>&2 && exit 1
branch=feature/$2
git merge --no-ff $branch && git delete-branch $branch
else
test -z $1 && echo "feature <name> required." 1>&2 && exit 1
if test -n "$2"; then
echo "too many arguments; if not finishing a feature, only <name> of new feature is expected" && exit 1
fi
branch=feature/$1
git checkout -b $branch &> /dev/null
test -n $? && git checkout $branch &> /dev/null
fi